### Method

# WebKit Settings set_feature_enabled

since: 2.42

#### Declaration [src]

    void
    webkit_settings_set_feature_enabled (
      WebKitSettings* settings,
      WebKitFeature* feature,
      gboolean enabled
    )

#### Description [src]

Enables or disables a feature.

The current status of the feature can be determined with `webkit_settings_get_feature_enabled()`. To reset a feature to its initial status, pass the value returned by `webkit_feature_get_default_value()` as the `enabled` parameter.

Available since: 2.42

#### Parameters

`feature`

  Type: `WebKitFeature`

  The feature to toggle.

  The data is owned by the caller of the method.

`enabled`

  Type: `gboolean`

  Whether the feature will be enabled.